Package org.apache.sysds.runtime.controlprogram.federated.monitoring.services

# Class CoordinatorService

java.lang.Object
org.apache.sysds.runtime.controlprogram.federated.monitoring.services.CoordinatorService

public class CoordinatorService extends Object

## Constructor Summary

Constructors
Constructor
Description
`CoordinatorService()`

## Method Summary

Modifier and Type
Method
Description
`Long`
`create(CoordinatorModel model)`
`CoordinatorModel`
`get(Long id)`
`List<CoordinatorModel>`
`getAll()`
`void`
`remove(Long id)`
`void`
`update(CoordinatorModel model)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CoordinatorService

public CoordinatorService()

## Method Details

### create

public Long create(CoordinatorModel model)

### update

public void update(CoordinatorModel model)

### remove

public void remove(Long id)

### get

public CoordinatorModel get(Long id)

### getAll

public List<CoordinatorModel> getAll()